Masumi Logo

/registry-source

Creates a new registry source

POST
/registry-source/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry-source/" \  -H "Content-Type: application/json" \  -d '{    "type": "Web3CardanoV1",    "policyId": "policyId",    "rpcProviderApiKey": "apikey",    "note": "optional_note",    "network": "Preprod"  }'
{
  "data": {
    "id": "unique-cuid-v2-auto-generated",
    "type": "Web3CardanoV1",
    "network": "Preprod",
    "url": "https://example.com/api/",
    "policyId": "policy_id",
    "note": "optional_note",
    "rpcProviderApiKey": "apikey",
    "latestPage": 1,
    "latestIdentifier": null
  },
  "status": "success"
}
Masumi Kanji